
From: Andreas Oberritter <obi@linuxtv.org>

Use INIT_LIST_HEAD for frontend_list.

Signed-off-by: Andreas Oberritter <obi@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-core/dvb_demux.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/dvb/dvb-core/dvb_demux.c~dvb-core-dvb_demux-use-init_list_head drivers/media/dvb/dvb-core/dvb_demux.c
--- devel/drivers/media/dvb/dvb-core/dvb_demux.c~dvb-core-dvb_demux-use-init_list_head	2005-09-04 16:51:00.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-core/dvb_demux.c	2005-09-04 16:51:00.000000000 -0700
@@ -1188,9 +1188,9 @@ int dvb_dmx_init(struct dvb_demux *dvbde
 		dvbdemux->feed[i].state = DMX_STATE_FREE;
 		dvbdemux->feed[i].index = i;
 	}
-	dvbdemux->frontend_list.next=
-	  dvbdemux->frontend_list.prev=
-	    &dvbdemux->frontend_list;
+
+	INIT_LIST_HEAD(&dvbdemux->frontend_list);
+
 	for (i=0; i<DMX_TS_PES_OTHER; i++) {
 		dvbdemux->pesfilter[i] = NULL;
 		dvbdemux->pids[i] = 0xffff;
_
